function [time,ch4,ch7,ch8,ch12] = imp2vectors(import)
%funkcia na oddelenie signálov a tvorbu vektorov z jednotlivých meraní, na vstupe je naimportované meranie  

% spustenie funkcie:
% [time_R_conc,ch4_R_conc, ch7_R_conc, ch8_R_conc, ch12_R_conc] = imp2vectors(DRconc)
% [time_R_ecc,ch4_R_ecc, ch7_R_ecc, ch8_R_ecc, ch12_R_ecc] = imp2vectors(DRecc)
% [time_L_conc,ch4_L_conc, ch7_L_conc, ch8_L_conc, ch12_L_conc] = imp2vectors(DLconc)
% [time_L_ecc,ch4_L_ecc, ch7_L_ecc, ch8_L_ecc, ch12_L_ecc] = imp2vectors(DLecc)

t = import(:,1);
v1 = import(:,2);
v2 = import(:,3);
v3 = import(:,4);
v4 = import(:,5);
time = [];
ch4 = [];
ch7 = [];
ch8 = [];
ch12 =[];
for i = 1:length(t);
    temp = strsplit(t(i),':');
    temp = str2double(temp);
    if(length(temp) == 2);
      time(i) = temp(1,1)*60 + temp(1,2);
    else if (length(temp) == 3); 
    time(i) = temp(1)*60 *60 + temp(1,2)*60 + temp(1,3);
        end
    end
    ch4(i) = str2double(strrep(v1(i),',','.'));
    ch7(i) = str2double(strrep(v2(i),',','.'));
    ch8(i) = str2double(strrep(v3(i),',','.'));
    ch12(i) = str2double(strrep(v4(i),',','.'));      
end

end 